View Issue Details

IDProjectCategoryView StatusLast Update
0021603mantisbtcode cleanuppublic2016-10-02 18:41
ReporterdregadAssigned Tosyncguru 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.3Fixed in Version2.0.0-beta.3 
Summary0021603: Publish full source code of ACE template
Description

As per the various discussions on the subject [1][2] the MantisBT repository must contain the full source code of the ACE template, not just the minified versions.

[1] https://sourceforge.net/p/mantisbt/mailman/mantisbt-dev/thread/011101d1cb44%24d6191e00%24824b5a00%24%40blueyonder.co.uk/#msg35171789
[2] https://github.com/mantisbt/mantisbt/pull/805

TagsNo tags attached.

Activities

cproensa

cproensa

2016-08-14 11:12

developer   ~0053794

+1, this is a must

surely needed to fix bugs like 0021179

is it related/dependant on victor's PR? https://github.com/mantisbt/mantisbt/pull/806

syncguru

syncguru

2016-08-14 19:42

developer   ~0053802

I agree, it is on my to-do list.
I am planning to upgrade to latest (and final) Ace theme version and check-in all source code once and for all. This is quite a change and could be complex so after working through the current bugs for 2.0.x - I will get to this one.

syncguru

syncguru

2016-09-03 02:51

developer   ~0053929

PR: https://github.com/mantisbt/mantisbt/pull/877

Related Changesets

MantisBT: master 6c082930

2016-09-20 02:46:58

syncguru


Committer: vboctor Details Diff
Update to Ace theme 1.4

- Upgrade to Ace theme 1.4 & include unminified files
- Add author info to and GPL license header

Fixes 0021603
add - css/ace-ie.css Diff File
mod - css/ace-ie.min.css Diff File
add - css/ace-part2.css Diff File
mod - css/ace-part2.min.css Diff File
add - css/ace-rtl.css Diff File
mod - css/ace-rtl.min.css Diff File
add - css/ace-skins.css Diff File
mod - css/ace-skins.min.css Diff File
add - css/ace.css Diff File
mod - css/ace.min.css Diff File
add - css/bootstrap-3.3.6.css Diff File
mod - css/bootstrap-3.3.6.min.css Diff File
add - js/ace-elements.js Diff File
mod - js/ace-elements.min.js Diff File
add - js/ace-extra.js Diff File
mod - js/ace-extra.min.js Diff File
add - js/ace.js Diff File
mod - js/ace.min.js Diff File

Issue History

Date Modified Username Field Change
2016-08-13 19:56 dregad New Issue
2016-08-14 11:12 cproensa Note Added: 0053794
2016-08-14 19:42 syncguru Note Added: 0053802
2016-08-16 05:43 dregad Assigned To => syncguru
2016-08-16 05:43 dregad Status new => assigned
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-09-03 02:51 syncguru Note Added: 0053929
2016-09-20 02:47 vboctor Changeset attached => MantisBT master 6c082930
2016-09-20 02:47 vboctor Assigned To syncguru => vboctor
2016-09-20 02:47 vboctor Status assigned => resolved
2016-09-20 02:47 vboctor Resolution open => fixed
2016-09-20 02:47 vboctor Fixed in Version => 2.0.0-beta.3
2016-09-20 12:34 atrol Assigned To vboctor => syncguru
2016-10-02 18:41 vboctor Status resolved => closed